- name: Ensure NFS subfolders exist on NAS
  hosts: nas
  become: true
  tasks:
    - name: Ensure /volume1/data exists
      file:
        path: /volume1/data
        state: directory
        mode: "0755"

    - name: Ensure /volume1/data/forgejo exists
      file:
        path: /volume1/data/forgejo
        state: directory
        owner: 992
        group: 990
        mode: "0770"
